A valid request URL is required to generate request examples{
"thumbnailSource": "...",
"imageSource": "...",
"defaultImage": true,
"sysidLocatorNode": 12345,
"name": "...",
"description": "...",
"sysidLocationMapImage": 12345,
"height": 12345,
"width": 12345,
"displayOrder": 12345
}Post locationslocators map images
Adds a Location Map Image for a given Locator node. Note that each location may only have a finite number of images as determined by the system properties.
A Map Image is an image on which Map Locator Images, or hotspots, may be drawn. The purpose of the map image is to provide a map of the represented Locator Node (e.g. Floors, Wings, etc.).
Images may only be added for Venue and Lower Venue Nodes.
The requesting User must have the following rights to perform this task:
This operation requires a Multipart form data object to upload an Image file.
This operation returns a Location Map Image Data value.
A valid request URL is required to generate request examples{
"thumbnailSource": "...",
"imageSource": "...",
"defaultImage": true,
"sysidLocatorNode": 12345,
"name": "...",
"description": "...",
"sysidLocationMapImage": 12345,
"height": 12345,
"width": 12345,
"displayOrder": 12345
}Path Parameters
Body
Adds a Location Map Image for a given Locator node. Note that each location may only have a finite number of images as determined by the system properties.
A Map Image is an image on which Map Locator Images, or hotspots, may be drawn. The purpose of the map image is to provide a map of the represented Locator Node (e.g. Floors, Wings, etc.).
Images may only be added for Venue and Lower Venue Nodes.
The requesting User must have the following rights to perform this task:
This operation requires a Multipart form data object to upload an Image file.
This operation returns a Location Map Image Data value.
Response
LocationMapImageData com.agilquest.phoenix.shared.data.location.LocationMapImageData

